Package: org.apache.groovy.json.internal

## [Java] Class JsonParserLax

- org.apache.groovy.json.internal.JsonParserLax

-     public class JsonParserLax
      extends JsonParserCharArray

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class JsonParserCharArray` | `FALSE, NULL, TRUE, __currentChar, __index, charArray`
    `class BaseJsonParser` | `ALPHA_0, ALPHA_1, ALPHA_2, ALPHA_3, ALPHA_4, ALPHA_5, ALPHA_6, ALPHA_7, ALPHA_8, ALPHA_9, CLOSED_BRACKET, CLOSED_CURLY, COLON, COMMA, DECIMAL_POINT, DOUBLE_QUOTE, ESCAPE, LETTER_BIG_E, LETTER_E, MINUS, PLUS, bufSize, charset, internKeys, internedKeysCache`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `JsonParserLax()`
    `JsonParserLax(boolean useValues)`
    `JsonParserLax(boolean useValues, boolean chop)`
    `JsonParserLax(boolean useValues, boolean chop, boolean lazyChop)`
    `JsonParserLax(boolean useValues, boolean chop, boolean lazyChop, boolean defaultCheckDates)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected final Object` | `decodeFromChars(char[] cs)`
    `` | `protected final Value` | `decodeNumberLax(boolean minus)` Decodes a number from a JSON value.
    `` | `protected final Object` | `decodeValue()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class JsonParserCharArray` | `complain, currentChar, decodeFalse, decodeFromChars, decodeJsonArray, decodeJsonObject, decodeNull, decodeTrue, decodeValue, exceptionDetails, hasCurrent, hasMore, nextChar, parse, skipWhiteSpace`
    `class BaseJsonParser` | `charDescription, findEndQuote, hasEscapeChar, isDecimalChar, isDelimiter, isDoubleQuote, isEscape, isNumberDigit, parse, parse, parse, parse, parse, parse, parse, parse, setCharset`

- - ### Constructor Detail

    - #### public JsonParserLax()

    - #### public JsonParserLax(boolean useValues)

    - #### public JsonParserLax(boolean useValues, boolean chop)

    - #### public JsonParserLax(boolean useValues, boolean chop, boolean lazyChop)

    - #### public JsonParserLax(boolean useValues, boolean chop, boolean lazyChop, boolean defaultCheckDates)

  - ### Method Detail

    - #### @Override
      protected final Object decodeFromChars(char[] cs)

    - #### protected final Value decodeNumberLax(boolean minus)

      Decodes a number from a JSON value. If at any point it is determined that the value is not a valid number the value is treated as a `String`.

      Parameters:
        `minus` - indicate whether the number is negative
      Returns:
        a number, or `String` if not a valid number

    - #### @Override
      protected final Object decodeValue()